package com.gxlu.ps.netcruise.md.buffer;

import com.gxlu.ps.netcruise.md.GlobalInstance;
import com.gxlu.ps.netcruise.md.util.Command;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.LineNumberReader;
import java.util.Calendar;
import java.util.LinkedList;
import org.apache.log4j.Logger;

/* loaded from: com_gxlu_ps_netcruise_md_buffer.jar:com/gxlu/ps/netcruise/md/buffer/CmdFile.class */
public class CmdFile {
    protected String filePath;
    private Logger logger;

    public CmdFile(String filePath) {
        this.filePath = null;
        this.logger = null;
        this.filePath = filePath;
        this.logger = GlobalInstance.getInstance().getLogger();
    }

    public synchronized LinkedList loadAllCmds() {
        String s;
        FileReader fr = null;
        LinkedList cmds = new LinkedList();
        try {
            try {
                File f = new File(this.filePath);
                f.createNewFile();
                fr = new FileReader(f);
                LineNumberReader lineReader = new LineNumberReader(fr);
                while (true) {
                    s = lineReader.readLine();
                    if (s == null) {
                        break;
                    }
                    Command cmd = new Command();
                    int gap = s.indexOf(" ");
                    if (gap > 0) {
                        cmd = new Command();
                        cmd.setContent(s.substring(0, gap));
                        cmd.setArgs(s.substring(gap + 1));
                    } else if (gap < 0) {
                        cmd = new Command();
                        cmd.setContent(s);
                        cmd.setArgs("");
                    }
                    cmds.add(cmd);
                }
                if (fr != null) {
                    try {
                        fr.close();
                    } catch (IOException e) {
                    }
                }
                if (s == null) {
                    clearCmds();
                }
                return cmds;
            } catch (Throwable th) {
                if (fr != null) {
                    try {
                        fr.close();
                    } catch (IOException e2) {
                        throw th;
                    }
                }
                throw th;
            }
        } catch (FileNotFoundException e3) {
            this.logger.error("**CmdFile: load command file failed.");
            if (fr != null) {
                try {
                    fr.close();
                } catch (IOException e4) {
                    return (LinkedList) null;
                }
            }
            return (LinkedList) null;
        } catch (IOException e5) {
            this.logger.error("**CmdFile: error ocurrs when reading command file.");
            LinkedList linkedList = (LinkedList) null;
            if (fr != null) {
                try {
                    fr.close();
                } catch (IOException e6) {
                    return linkedList;
                }
            }
            return linkedList;
        } catch (NullPointerException e7) {
            this.logger.error("**CmdFile: Command file name can't be null.");
            LinkedList linkedList2 = (LinkedList) null;
            if (fr != null) {
                try {
                    fr.close();
                } catch (IOException e8) {
                    return linkedList2;
                }
            }
            return linkedList2;
        }
    }

    public synchronized void saveCmds(LinkedList cmds) {
        FileWriter fw = null;
        try {
            try {
                File f = new File(this.filePath);
                f.createNewFile();
                fw = new FileWriter(f, true);
                BufferedWriter bw = new BufferedWriter(fw);
                for (int i = 0; i < cmds.size(); i++) {
                    bw.write(String.valueOf(String.valueOf(new StringBuffer(String.valueOf(String.valueOf(((Command) cmds.get(i)).getContent()))).append(" ").append(((Command) cmds.get(i)).getArgs()).append("\r\n"))));
                }
                bw.flush();
                if (fw != null) {
                    try {
                        fw.close();
                    } catch (IOException e) {
                    }
                }
            } catch (Throwable th) {
                if (fw != null) {
                    try {
                        fw.close();
                    } catch (IOException e2) {
                        throw th;
                    }
                }
                throw th;
            }
        } catch (IOException e3) {
            tmpSave(cmds);
            if (fw != null) {
                try {
                    fw.close();
                } catch (IOException e4) {
                }
            }
        }
    }

    public synchronized void clearCmds() {
        FileWriter fw = null;
        try {
            File f = new File(this.filePath);
            f.createNewFile();
            fw = new FileWriter(f, false);
            fw.write("");
            fw.flush();
        } catch (IOException e) {
            if (fw != null) {
                try {
                    fw.close();
                } catch (IOException e2) {
                }
            }
        }
    }

    protected void tmpSave(LinkedList cmds) {
        FileWriter fw = null;
        Calendar cald = Calendar.getInstance();
        String year = Integer.toString(cald.get(1));
        String month = Integer.toString(cald.get(2) + 1);
        String day = Integer.toString(cald.get(5));
        String hour = Integer.toString(cald.get(11));
        String minute = Integer.toString(cald.get(12));
        String second = Integer.toString(cald.get(13));
        this.filePath = String.valueOf(String.valueOf(new StringBuffer(String.valueOf(String.valueOf(this.filePath))).append(".").append(year).append("-").append(month).append("-").append(day).append("-").append(hour).append("-").append(minute).append("-").append(second)));
        this.logger.error(String.valueOf(String.valueOf(new StringBuffer("**Can't open command file. Commands will save to ").append(this.filePath).append(" ."))));
        try {
            try {
                File f = new File(this.filePath);
                f.createNewFile();
                fw = new FileWriter(f, true);
                BufferedWriter bw = new BufferedWriter(fw);
                for (int i = 0; i < cmds.size(); i++) {
                    bw.write(String.valueOf(String.valueOf(new StringBuffer(String.valueOf(String.valueOf(((Command) cmds.get(i)).getContent()))).append(" ").append(((Command) cmds.get(i)).getArgs()).append("\r\n"))));
                }
                bw.flush();
                if (fw != null) {
                    try {
                        fw.close();
                    } catch (IOException e) {
                    }
                }
            } catch (IOException e2) {
                this.logger.error(String.valueOf(String.valueOf(new StringBuffer("**Sorry, ").append(this.filePath).append(" can't open too. Commands will lost!!!"))));
                if (fw != null) {
                    try {
                        fw.close();
                    } catch (IOException e3) {
                    }
                }
            }
        } catch (Throwable th) {
            if (fw != null) {
                try {
                    fw.close();
                } catch (IOException e4) {
                    throw th;
                }
            }
            throw th;
        }
    }
}
